跳转到内容

Gemini 3.8 Flash TTS

集成

模型 id google/gemini-3.8-flash-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-3.8-flash-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.045 45 API 积分 在此页面运行

获取 API 密钥
Google 文本转语音 快速 #text-to-speech#audio#dialogue#voiceover

标准 Gemini 3.8 Flash 文本转语音,适用于旁白或双说话人对话,支持 30 种声音

Google · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

单个说话人要逐字朗读的文本;如需对话,请使用 speakers 和 turns,并省略 提示词。使用 style_instructions 指定演绎方式,并在文本中用 <laugh> 或 <sigh> 标记发声事件。提供商规定,完整输入不得超过 8,192 token。

高级 style_instructions · voice · enable_safety_checker · speakers · turns

适用于每个回合的默认表达指导,可被覆盖;这些指令不会成为朗读文本的一部分。

默认 Kore

单说话人语音所使用的预设语音。

对话说话人配置,恰好包含两个不同的别名,每个别名对应一个预构建语音。

对话回合序列,每个回合都标识了已配置的说话人。

POST /run/google/gemini-3.8-flash-tts?wait=20 报价 → $0.045
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-3.8-flash-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Gemini 3.8 Flash TTS

使用 30 种预置声音之一,根据 `prompt` 创建 WAV 音频;也可使用两个 `speakers` 和一组 `turns` 生成对话。`style_instructions` 独立于转录文本设置表达方式,并可应用于所有轮次。允许使用 <laugh> 和 <sigh> 等内联声音事件。

参数

名称类型 默认值允许值 描述
prompt可选
类型string | null
单个说话人要逐字朗读的文本;如需对话,请使用 speakers 和 turns,并省略 提示词。使用 style_instructions 指定演绎方式,并在文本中用 <laugh> 或 <sigh> 标记发声事件。提供商规定,完整输入不得超过 8,192 token。
style_instructions可选
类型string | null
适用于每个回合的默认表达指导,可被覆盖;这些指令不会成为朗读文本的一部分。
voice可选
类型enum
默认值Kore
AchernarAchirdAlgenibAlgiebaAlnilamAoedeAutonoeCallirrhoeCharonDespinaEnceladusErinomeFenrirGacruxIapetusKore
另外 14 个LaomedeiaLedaOrusPulcherrimaPuckRasalgethiSadachbiaSadaltagerSchedarSulafatUmbrielVindemiatrixZephyrZubenelgenubi
单说话人语音所使用的预设语音。
speakers可选
类型object[]
≤ 2 个项目≥ 2 个项目
对话说话人配置,恰好包含两个不同的别名,每个别名对应一个预构建语音。
speakers[].speaker_id必填
类型string
≥ 1 characters
标识每个回合中说话人的别名。
speakers[].voice必填
类型enum
AchernarAchirdAlgenibAlgiebaAlnilamAoedeAutonoeCallirrhoeCharonDespinaEnceladusErinomeFenrirGacruxIapetusKore
另外 14 个LaomedeiaLedaOrusPulcherrimaPuckRasalgethiSadachbiaSadaltagerSchedarSulafatUmbrielVindemiatrixZephyrZubenelgenubi
分配给此说话人的预设语音。
turns可选
类型object[]
对话回合序列,每个回合都标识了已配置的说话人。
turns[].speaker_id必填
类型string
≥ 1 characters
标识配置中某位说话人的别名。
turns[].text必填
类型string
≥ 1 characters
此回合要朗读的准确文本。
turns[].style_instructions可选
类型string | null
此回合可选的语音表达风格。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-3.8-flash-tts",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 45,
    "usd": "0.045",
    "charged": 45,
    "refunded": 0
  },
  "input": {
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}WAV 格式的音频输出。

更多模型:文本转语音

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/google/gemini-3.8-flash-tts.md. 所有模型和指南: https://doitong.com/developers/llms.txt